Skip site navigation (1) Skip section navigation (2)

Re: 7.1.3 fails to configure with kerberos on NetBSD/macppc

From: Peter Eisentraut <peter_e(at)gmx(dot)net>
To: "Henry B(dot) Hotz" <hotz(at)jpl(dot)nasa(dot)gov>
Cc: <pgsql-ports(at)postgresql(dot)org>
Subject: Re: 7.1.3 fails to configure with kerberos on NetBSD/macppc
Date: 2001-12-06 19:27:38
Message-ID: Pine.LNX.4.30.0112061810240.619-200000@peter.localdomain (view raw or flat)
Thread:
Lists: pgsql-ports
Henry B. Hotz writes:

> Configure is looking for krb5_encrypt in libcrypt.  It's there, but
> it's in /usr/lib/libkrb5.*.  How do I make it look there?
>
> I can't just ln -s libkrb5 libcrypt because the latter already exists
> and contains the DES stuff.  NetBSD 1.5.x switched from the MIT code
> to the kth.se Heimdal code.  For those of us who care about AFS this
> is a big win.  In fact just about every kerberos implementation
> except MIT's is AFS compatible (including all Mac implementations
> except the MIT code in MacOS X).  Grrr.

Heimdal support is being worked on, but it won't be in 7.2.  Attached is a
patch which represents the work so far.  It might work for you, since you
have NetBSD 1.5 where they supposedly fixed the linker.

-- 
Peter Eisentraut   peter_e(at)gmx(dot)net

Attachment: heimdal-patch
Description: text/plain (5.4 KB)

In response to

pgsql-ports by date

Next:From: Henry B. HotzDate: 2001-12-07 02:05:23
Subject: Re: 7.1.3 fails to configure on Solaris 2.7
Previous:From: Peter EisentrautDate: 2001-12-06 16:38:31
Subject: Re: 7.1.3 fails to configure on Solaris 2.7

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group